Page MenuHomePhabricator

Convert Special:AllPages to OOUI
Closed, ResolvedPublic

Description

Could possibly use HTMLForm instead of "plain" HTML form and use OOUI.

BeforeAfter

Event Timeline

Florian created this task.Nov 4 2015, 5:06 PM
Florian raised the priority of this task from to Normal.
Florian updated the task description. (Show Details)
Florian added a project: UI-Standardization.

Change 251257 had a related patch set uploaded (by Bartosz Dziewoński):
SpecialAllPages: Use OOUI form

https://gerrit.wikimedia.org/r/251257

I think we will never ever get this merged?:

currently
ooui

Maybe we need some table-ooui? So that the label is on the left and the element at the right?

Updated screenshots:

Before
After

(Same resolution/etc.)

Change 251257 abandoned by Bartosz Dziewoński:
SpecialAllPages: Use OOUI form

Reason:
I'm not actively working on this right now.

https://gerrit.wikimedia.org/r/251257

@Jdforrester-WMF :
I am working on a similar bug and trying to get the size of the form minimized. As per your screenshots you have given a minimized version of an OOUI form. Could you give me a hint how exactly you could resize that?

@Haritha28 Any plans on further working on this?

As I am not having much time, I won't be.

Haritha28 removed Haritha28 as the assignee of this task.Jan 26 2017, 3:28 AM
Haritha28 added a subscriber: Haritha28.

Change 366603 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:AllPages: Use OOUI

https://gerrit.wikimedia.org/r/366603

Prtksxna claimed this task.Jul 20 2017, 5:44 PM
Prtksxna added a subscriber: Prtksxna.
BeforeAfter
Volker_E updated the task description. (Show Details)Apr 10 2018, 4:45 AM
Volker_E updated the task description. (Show Details)

Change 366603 merged by jenkins-bot:
[mediawiki/core@master] Special:AllPages: Use OOUI

https://gerrit.wikimedia.org/r/366603

Volker_E closed this task as Resolved.Sep 11 2018, 1:18 AM

Updated screenshot in the task description. Going for standard vertical alignment of labels and inputs for the time being.